compiling using version 3.2.3 vs. 2.96

Eljay Love-Jensen eljay@adobe.com
Mon Apr 25 16:23:00 GMT 2005


Hi Ramji,

GCC 3.2.3 is pretty close to compliance with ISO 14882.

The 2.96 compiler from Red Hat predates the ISO 14882 standard.

Errors between proto-C++ and standard C++ are to be expected.

The way to fix it is to change the non-compliant C++ code to be compliant.

HTH,
--Eljay



More information about the Gcc-help mailing list